App::Yath::Options::Run(3pm)

NAME
App::Yath::Options::Run - Run options for Yath.

DESCRIPTION
This is where command lines options for a single test run are defined.

PROVIDED OPTIONS

  COMMAND OPTIONS
Run Options

--author-testing
-A
--no-author-testing
    This will set the AUTHOR_TESTING environment to true

--dbi-profiling
--no-dbi-profiling
    Use Test2::Plugin::DBIProfile to collect database profiling data

--env-var VAR=VAL
-EVAR=VAL
-E VAR=VAL
--no-env-var
    Set environment variables to set when each test is run.

    Can be specified multiple times

--event-uuids
--uuids
--no-event-uuids
    Use Test2::Plugin::UUID inside tests (default: on)

--fields name:details
--fields JSON_STRING
-f name:details
-f JSON_STRING
--no-fields
    Add custom data to the harness run

    Can be specified multiple times

--input ARG
--input=ARG
--no-input
    Input string to be used as standard input for ALL tests. See also: --input-file

--input-file ARG
--input-file=ARG
--no-input-file
    Use the specified file as standard input to ALL tests

--io-events
--no-io-events
    Use Test2::Plugin::IOEvents inside tests to turn all prints into test2 events (default: off)

--link 'https://travis.work/builds/42'
--link 'https://jenkins.work/job/42'
--link 'https://buildbot.work/builders/foo/builds/42'
--no-link
    Provide one or more links people can follow to see more about this run.

    Can be specified multiple times

--load ARG
--load=ARG
--load-module ARG
--load-module=ARG
-m ARG
-m=ARG
--no-load
    Load a module in each test (after fork). The "import" method is not called.

    Can be specified multiple times

--load-import Module
--load-import Module=import_arg1,arg2,...
--loadim Module
--loadim Module=import_arg1,arg2,...
-M Module
-M Module=import_arg1,arg2,...
--no-load-import
    Load a module in each test (after fork). Import is called.

    Can be specified multiple times. If the same key is listed multiple times the value lists will be appended together.

--mem-usage
--no-mem-usage
    Use Test2::Plugin::MemUsage inside tests (default: on)

--retry ARG
--retry=ARG
-r ARG
-r=ARG
--no-retry
    Run any jobs that failed a second time. NOTE: --retry=1 means failing tests will be attempted twice!

--retry-isolated
--retry-iso
--no-retry-isolated
    If true then any job retries will be done in isolation (as though -j1 was set)

--run-id
--id
--no-run-id
    Set a specific run-id. (Default: a UUID)

--test-args ARG
--test-args=ARG
--no-test-args
    Arguments to pass in as @ARGV for all tests that are run. These can be provided easier using the '::' argument separator.

    Can be specified multiple times

--stream
--no-stream
    Use the stream formatter (default is on)

--tap
--TAP
----no-stream
--no-tap
    The TAP format is lossy and clunky. Test2::Harness normally uses a newer streaming format to receive test results. There are old/legacy tests where this causes problems, in which case setting --TAP or --no-stream can help.

SOURCE
The source code repository for Test2-Harness can be found at http://github.com/Test-More/Test2-Harness/.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright 2020 Chad Granum <exodist7@gmail.com>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/